#
# Conditional build:
%bcond_with	tests	# perform tests (seem to require redis running)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	redis
Summary:	A Python client for redis
Name:		python-%{module}
Version:	2.10.5
Release:	9
License:	MIT
Group:		Development/Languages
URL:		http://github.com/andymccurdy/redis-py
Source0:	https://pypi.python.org/packages/source/r/redis/redis-2.10.5.tar.gz
# Source0-md5:	3b26c2b9703b4b56b30a1ad508e31083
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-setuptools
%{?with_tests:BuildRequires:	python-pytest}
%endif
%if %{with python3}
BuildRequires:	python3-setuptools
%{?with_tests:BuildRequires:	python3-pytest}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a Python interface to the Redis key-value store.

%package -n python3-%{module}
Summary:	A Python client for redis
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
This is a Python interface to the Redis key-value store.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-*.egg-info
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-redis.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3823a19
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 009a1ae
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0fc94ca
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d82c9da
- release 6 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9aa8a70
- rebuild with python 3.8
- release 5 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a8cd3d8
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> aa33539
- python 3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a5217f0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c386092
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6b9135b
- automatic change: use py_build/py_install macros

* Tue Nov 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 832166e
- Version: 2.10.5, Python 3 support added

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> d941188
- new, based on fedora package

